Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.dsp.dsmediator.client
Interface StreamingDataService

All Superinterfaces:
  DataService

public interface StreamingDataService
extends DataService

Interface for acquiring data service function results as a stream.

Method Summary
`weblogic.xml.stream.XMLInputStream` | `invokeToStream(java.lang.String method, java.lang.Object[] args)` Invokes the given function.
`weblogic.xml.stream.XMLInputStream` | `invokeToStream(java.lang.String method, java.lang.Object[] args, RequestConfig config)` Invokes the given function.

Methods inherited from interface com.bea.dsp.dsmediator.client.DataService
`clearResultCache, createRootDataObject, invoke, invoke, invokeProcedure, invokeProcedure, submit, submit`

Method Detail

### invokeToStream

    public weblogic.xml.stream.XMLInputStream invokeToStream(java.lang.String method,
                                                             java.lang.Object[] args)
                                                      throws SDOMediatorException,
                                                             weblogic.xml.stream.XMLStreamException

  Invokes the given function. Returns data as an XMLInputStream, which can be accessed to extract data. User must call close() on the stream when they have completed reading from it. Until the stream is closed, the server may hold open various resources such as database handles.

  Parameters:
    `method` - The data service method to be invoked.
    `args` - The arguments to the function.
  Returns:
    XMLInputStream
  Throws:
    `SDOMediatorException`
    `weblogic.xml.stream.XMLStreamException`

### invokeToStream

    public weblogic.xml.stream.XMLInputStream invokeToStream(java.lang.String method,
                                                             java.lang.Object[] args,
                                                             RequestConfig config)
                                                      throws SDOMediatorException,
                                                             weblogic.xml.stream.XMLStreamException

  Invokes the given function. Returns data as an XMLInputStream, which can be accessed to extract data. User must call close() on the stream when they have completed reading from it. Until the stream is closed, the server may hold open various resources such as database handles.

  Parameters:
    `method` - The data service method to be invoked.
    `args` - The arguments to the function.
    `config` - A RequestConfig for controlling how the server will invoke this procedure, and for allowing return of out-of-band results such as server audit information.
  Returns:
    XMLInputStream
  Throws:
    `SDOMediatorException`
    `weblogic.xml.stream.XMLStreamException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems Inc. All Rights Reserved.